Subject: Re: bug#46926: Remove the quotes from highlighted/linked symbols when displaying docs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Mar 2021 15:28:46 +0200

> Date: Tue, 16 Mar 2021 13:01:36 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked]
> 
> > And if we gathered enough feedback, then why are we once again disputing 
> > whether "M-o M-o" is an important binding, and if so, where to move it?
> >
> 
> I don't see any dispute.
> 
> You (and two other people) mentioned that you want to keep the 
> functionality of "M-o M-o" in vanilla Emacs.
> 
> Stefan M explained that "M-o M-o" = font-lock-fontify-block does not work 
> well, and that he would like to deprecate it.
> 
> I proposed a font-lock-update command that would be bound on "C-x x f", 
> and said that while the "C-x x f" binding is less convenient than "M-o 
> M-o", this regression is (largely?) compensated by the fact that 
> font-lock-update works correctly, unlike font-lock-fontify-block. 
> Moreover, the font-lock-update command is also more general, as it can be 
> used to correctly toggle Font Lock mode, which M-x font-lock-mode can't 
> do.

That's the "dispute" I alluded to.  If the word "dispute" is
unfortunate here, I take it back, but the main point remains: the
issue is still under discussion, with new aspects being revealed and
discussed, so it doesn't sound like we gathered enough feedback to
allow us to make a decision, not yet anyway.